#include <stdio.h>

#include "cost.h"
#include "misc.h"
#include "queue.h"

#include "language.h"

long calculateCost( QueueEntry *called )
{
  register long traf = called->getMail()+called->getFiles(),
                cps = called->getBaud()/10;
  long old;

  traf /= cps;
  old = traf;

  traf /= 60;

  if( old%60 )
    traf++;

  return traf * called->getCost();
}

char * showCost( long startTime, long curTime, QueueEntry *called )
{
  if( called==NULL )
    return newStr( Msg_InfoSessionCostFree );
   
  long used = (curTime-startTime)/60;

  if( (curTime-startTime)%60 )
    used++;

  used = used*called->getCost();

  char c[128];

  if( used )
    sprintf( c, Msg_InfoSessionCost, used );
  else
    strcpy( c, Msg_InfoSessionCostFree );

  return newStr( c );
}
