#ifndef __EXCEPT_H

#define __EXCEPT_H

APIRET APIENTRY ShutDownHandler( PEXCEPTIONREPORTRECORD,
                                 PEXCEPTIONREGISTRATIONRECORD,
                                 PCONTEXTRECORD,
                                 PVOID );

#define registerExceptionHandler \
  EXCEPTIONREGISTRATIONRECORD ExceptionRegRec  = {0, ShutDownHandler };\
  DosSetExceptionHandler( &ExceptionRegRec );

#define conditionalRegisterExceptionHandler(x) \
  EXCEPTIONREGISTRATIONRECORD ExceptionRegRec  = {0, ShutDownHandler };\
  if( (x) )\
    DosSetExceptionHandler( &ExceptionRegRec );

#define deRegisterExceptionHandler \
  DosUnsetExceptionHandler( &ExceptionRegRec );

#endif