#if !defined(_MY_TIMER_H)

#define _MY_TIMER_H

class Timer
{
  unsigned long start;

public:

  Timer( unsigned long time=0 );
  ~Timer();

  void startTimer( unsigned long msecs );
  void endTimer();
  void sleep( short secs );
  void waitTimer() const;
  int isTimeOut() const;
  unsigned long rest() const;
  int secsLeft() const;
  int isStarted() const { return start!=0; }
  unsigned long getMark() const { return start; }
};

unsigned long minTimer( Timer& t1, Timer& t2 );

#endif