#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <dos.h>
#include <signal.h>
#include <float.h>

#include "busy.h"

char *newStr( char * );

void IOerror( char *where )
{
  char *e( newStr( strerror( errno ) ) );
  int len( strlen( e ) );

  if( e[ len-1 ]=='\n' )
    e[ len-1 ] = 0;

  capitalize( e );

  printf( "*IOFault* For `%s' detected `%s'\n", where, e );

  delete e;
}

void printLine( const char *p )
{
  delete currentContext;
  currentContext = newStr( (char *)p );

  int len( strlen( currentContext ) );

  if( currentContext[ len-1 ]=='\n' )
    currentContext[ len-1 ] = 0;
}

void printLine()
{
  printf( "*Info* Source line `%s'\n", currentContext );

  if( debugMode )
  {
    printf( "*Dump* Source line hexadecimal dump: " );

    for( int i(0); currentContext[i]; i++ )
    {
      if( i )
	putchar( ' ' );
      printf( "%02X", currentContext[i] );
    }

    putchar( '\n' );
  }
}

void returnToDos( int retCode )
{
  if( debugMode )
    printf( "\nGood bye! Execution completed with RC=%d\n", retCode );

  exit( retCode );
}


