#include <stdlib.h>
#include <stdio.h>
#include <dos.h>
#include <string.h>

#include "mtask.h"

#if !defined(__OS2__)
MTask::MTask()
#else
MTask::MTask()
#endif
{
  name = new char [ 80 ];

#if !defined(__OS2__)
  int version;

  if( ml_active() )
  {
     strcpy( name, "MultiLink" );
     who = MTaskML;
  }
  else if( (version =dv_get_version() ), version )
  {
    sprintf( name, "DESQView %d.%d", (version>>8)&0xff, version&0xff );
    who = MTaskDesqView;
  }
  else if( (version=tv_get_version()), version )
  {
    sprintf( name, "TopView %d.%d", (version>>8)&0xff, version&0xff );
    who =  MTaskTopWiew;
  }
  else if( mos_active() )
  {
    strcpy( name, "PC-MOS" );
    who = MTaskMOS;
  }
  else if( ddos_active() )
  {
    strcpy( name, "Double DOS" );
    who = MTaskDoubleDos;
  }
  else if( windows_active() )
  {
    strcpy( name, "Windows" );
    who = MTaskWindows;
  }
  else if( (version =os2_get_version() ), version )
  {
    sprintf( name, "OS/2 %d.%d DOS box", ((version>>8)&0xff)/10, version&0xff );
     who = MTaskOS2;
  }
  else
  {
    sprintf( name, "DOS %d.%d", _osmajor&0xff, _osminor&0xff );
    who =  MTaskNone;
  }

#else

  sprintf( name, "OS/2 %d.%d", (_osmajor&0xff)/10, _osminor&0xff );
  who = MTaskOS2Native;

#endif
}
