#define INCL_DOS
#include <os2.h>

#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>

void log( char *fmt ... )
{
  va_list argptr;
  char *buf( new char[ 40960 ] );

  va_start( argptr, fmt );
  vsprintf( buf, fmt, argptr );
  va_end( argptr );

  strcat( buf, "\r\n" );
  DosPutMessage( 1, strlen(buf), buf );

  delete buf;
}

void os2Message( unsigned long number )
{
  UCHAR DataArea[ 513 ];
  ULONG DataLength;
  ULONG MsgLength;
  char *pp[1];
  char field1[20];
  char file[20];

  pp[0] = field1;
  strcpy( field1, "dummy" );

  strcpy( file, "OSO001.MSG" );

  DataLength = (sizeof DataArea)-1;
  MsgLength = DataLength;

  DosGetMessage( (PCHAR *)&pp[0], 0, (PCHAR)&DataArea, DataLength,
                 number, (PSZ)file, &MsgLength );

  DataArea[ MsgLength ] = 0;

  log( "       OS/2 error message:" );

  for( char *p( (char *)&DataArea ); *p; )
  {
    char *c( strstr( p, "\r\n" ) );

    if( c!=NULL )
    {
      c[0] = 0;
      c[1] = 0;
    }

    log( "         %s", p );
    p = p+strlen(p)+2;
  }
}

int main( int argNumIni, char **argPtrIni, char **envir )
{
  int (* __cdecl BrakeMain)( int argNumIni, char **argPtrIni, char **envir );
  int rc( 3 );


//  while( rc==3 )
//  {
    char buf[80];
    static char dll[]( "Brake" );
    HMODULE brakeDll( 0 );

    rc = DosLoadModule( buf, sizeof buf, dll, &brakeDll );

    if( rc )
    {
      log( "FATAL: Unable to load %s.Dll, error %d", dll, rc );
      os2Message( rc );
      return 1;
    }

    rc = DosQueryProcAddr( brakeDll, 1, 0, (PFN *)&BrakeMain );

    if( rc )
    {
      log( "FATAL: Unable to find procedure #1 in %s.Dll", dll );
      os2Message( rc );
      return 1;
    }

    rc = BrakeMain( argNumIni, argPtrIni, envir );

    DosFreeModule( brakeDll );
//  }

  return rc;
}
