#ifndef __NOLOG_H

#define __NOLOG_H

#include <string.h>

#include "class.h"
#include "newstr.h"

class NoLog : public BaseObject
{
private:
  char *str;

  int equal( const BaseObject &t ) const;
  void print( ostream& s ) const;
  char *nameOfClass() const;

public:

  NoLog( char *f );
  ~NoLog();

  int beginIn( char *s ) const;

  char *getStr() const { return str; }
};

class NoLogList : public Collection				//NoLog
{
public:
  NoLogList();

  NoLog* Find( NoLog& item, LockMode lock=LockModeNeed ) const;
  NoLog& operator [] ( const int pos ) const;

  int found( char *s ) const;
};

class NoLogIterator : public CollectionIterator			//NoLog
{
public:
  NoLogIterator( NoLogList& ini );

  NoLog& operator () () const;
};

extern NoLogList *noLogList;
extern NoLogList *noScrList;

#endif
