#ifndef __REXX_API_H

#define __REXX_API_H

#include "fidoaddr.h"
#include "sched.h"

int CallRexx( char *prog, char **out,
              char *a1=0, char *a2=0, char *a3=0,
              char *a4=0, char *a5=0, char *a6=0,
              int needLog=1 );
void doTrivialRexx( char *act );
void doEvalRexx( Schedule& sh );
int doRexxWithNumericRC( char *proc, char *phone, char *addr );
void doParamsRexx( FIDOAddress& address, long elapsed,
		          char *name, char *actIni, int wait,
                          char *title=NULL );
void doEvalRexxParam( Schedule& sh, FIDOAddress& address, long elapsed,
                             char *actIni, int wait, char *title );
char *rexxProcedureName( const char * );

void RexxModuleDeInitialize();
void RexxModuleInitialize();

void ClipConsoleDeInitialize();
void ClipConsoleInitialize( int needCreate );

void resumeClipServer();
void suspendClipServer( int );

#endif
