#ifndef __SLEEP_H

#define __SLEEP_H

class Sleeper
{
  unsigned long handle;

public:
  Sleeper();
  ~Sleeper();

  void sleep( unsigned long how=1 ) const;
  int isValid() const { return handle!=0xffffffffl; }
};

extern Sleeper *sleeper;

void checkPoint();
inline void sleep( unsigned long ms ) { sleeper->sleep( ms ); }

#endif