/************************ SWin ***************************\
 *
 *	Copyright (C) 1996 by Dmitry Zavalishin
 *
 *	Module 	: OS/2-specific device classes
 *
 *      $Log: sw_device_os2.h $
 *      Revision 1.1  1996/10/10 10:46:53  dz
 *      Initial revision
 *
 *
 *      
 *
\*/

#ifndef SW_DEVICE_OS2_H
#define SW_DEVICE_OS2_H

#ifndef SW_DEVICE_H
#  include "sw_device.h"
#endif


//#include "sw_types.h"
//#include "sw_win.h"

//#include <iostream.h>
//#include <stack.h>


class sw_vio_base : public sw_2b_video_memory_device
    {
    private:
        //VIOMODEINFO vio_mi;
        //char *viobuf;
        char *saved_screen;

        void vm_alloc();
        void vm_free();
        
    public:
        sw_vio_base();
        virtual ~sw_vio_base();
        //virtual void put_cw( const sw_abstract_win &who, const sw_rect &_p, const char *ca );
        //virtual void fill_cw( const sw_abstract_win &who, sw_color col, char c, sw_rect r );
        //virtual void border_cw( const sw_abstract_win &who, sw_color col, sw_border_t t );
        virtual void do_flush(const sw_rect &r);
        virtual void resize( const sw_size &s )
            {
            throw sw_Fail("sw_vio_device::resize","Resize is not implemented for this device", name() );
              // check and change video mode
            sw_abstract_win::resize(s);
            }
    };

class sw_vio_device : public sw_vio_base
    {
    //virtual void put_up( const sw_rect &p, const char *char_and_attr_map );
    public:
        sw_vio_device();
        virtual ~sw_vio_device();
        virtual const char *name(); // { return "vio"; }


    };


class sw_avio_device : public sw_vio_base
    {
    //virtual void put_up( const sw_rect &p, const char *char_and_attr_map );
    public:
        sw_avio_device();
        virtual ~sw_avio_device();
        virtual const char *name(); // { return "avio"; }
    };






#endif // SW_DEVICE_OS2_H


